> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integrations/prism/python/payment-service/incremental-authorization.md).

# Incremental Authorization

## Overview

The `incremental_authorization` method increases the authorized amount on an existing authorization. Use for hospitality, tips, or add-on charges.

**Business Use Case:** A hotel guest adds room service charges. Increase the authorization hold to cover additional charges.

## Purpose

| Scenario          | Benefit                  |
| ----------------- | ------------------------ |
| Hotel incidentals | Add room service charges |
| Restaurant tips   | Add post-dining tip      |
| Add-on services   | Cover additional costs   |

## Request Fields

| Field                       | Type  | Required | Description                        |
| --------------------------- | ----- | -------- | ---------------------------------- |
| `merchant_authorization_id` | str   | Yes      | Your unique incremental auth ID    |
| `connector_transaction_id`  | str   | Yes      | Original authorization ID          |
| `amount`                    | Money | Yes      | New total amount (not incremental) |
| `reason`                    | str   | No       | Reason for increase                |

## Response Fields

| Field                        | Type                | Description                  |
| ---------------------------- | ------------------- | ---------------------------- |
| `connector_authorization_id` | str                 | Connector's authorization ID |
| `status`                     | AuthorizationStatus | AUTHORIZED, FAILED           |
| `status_code`                | int                 | HTTP status code             |

## Example

### SDK Setup

```python
from hyperswitch_prism import PaymentClient

payment_client = PaymentClient(
    connector='stripe',
    api_key='YOUR_API_KEY',
    environment='SANDBOX'
)
```

### Request

```python
request = {
    "merchant_authorization_id": "incr_auth_001",
    "connector_transaction_id": "pi_3Oxxx...",
    "amount": {
        "minor_amount": 1500,  # New total: $15.00
        "currency": "USD"
    },
    "reason": "Room service charges added"
}

response = await payment_client.incremental_authorization(request)
```

### Response

```python
{
    "connector_authorization_id": "pi_3Oxxx...",
    "status": "AUTHORIZED",
    "status_code": 200
}
```

## Next Steps

* [authorize](/integrations/prism/python/payment-service/authorize.md) - Create initial authorization
* [capture](/integrations/prism/python/payment-service/capture.md) - Finalize with increased amount


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperswitch.io/integrations/prism/python/payment-service/incremental-authorization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
